apiVersion: apps/v1
kind: Deployment
metadata:
  name: frontend
  namespace: owntracks
  labels:
    app: frontend
spec:
  selector:
    matchLabels:
      app: frontend
  strategy:
    type: RollingUpdate
  template:
    metadata:
      labels:
        app: frontend
    spec:
      containers:
      - env:
        - name: SERVER_HOST
          value: owntracks
        - name: SERVER_PORT
          value: "8083"
        image: docker.io/owntracks/frontend:v2.3.1
        imagePullPolicy: IfNotPresent
        name: frontend
        ports:
        - containerPort: 80
          protocol: TCP
        volumeMounts:
        - mountPath: /usr/share/nginx/html/config
          name: config
      volumes:
      - name: config
        configMap:
          name: frontend
